Subject: Re: [RFC/PATCH 10/11] branch.c: use 'ref-filter' APIs

From: Matthieu Moy <[email-masked]>
Date: Wed, 29 Jul 2015 17:56:27 +0200

Karthik Nayak <[email-masked]> writes:

> On Tue, Jul 28, 2015 at 7:47 PM, Matthieu Moy
> <[email-masked]> wrote:
>>
>> I'm not sure what's the convention, but I think the test description
>> should give the expected behavior even with test_expect_failure.
>>
>> And please help the reviewers by saying what's the status wrt this test
>> (any plan on how to fix it?).
>>
>
> On the other hand I wonder if the test is even needed as, we don't
> really need it
> Cause we remove that ability of branch.c by using filter_refs().

Please read d0f810f (refs.c: allow listing and deleting badly named
refs, 2014-09-03). I think the reasoning makes sense, and we should keep
this ability.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/